Ads · Ad Creatives
Uploads an ad video. Works with Meta Ads.
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys cannot call it. Keys with the ads resource group disabled get 403 resource_group_disabled. Authentication
Request body
application/json, required
accountIdstringrequiredadAccountIdstringrequiredvideoUrlstringvideoBase64stringfilenamestringUp to 255 characters.
namestringUp to 255 characters.
asyncbooleanDefault
false.
Example
curl -X POST "https://api.pozy.ai/v1/ads/videos" \
-H "Authorization: Bearer $POZY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"accountId": "696e0b682d0a31188e7a2ba9",
"adAccountId": "666219aad7bab67ace411e4f"
}'const res = await fetch("https://api.pozy.ai/v1/ads/videos", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.POZY_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
accountId: "696e0b682d0a31188e7a2ba9",
adAccountId: "666219aad7bab67ace411e4f"
}),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.post(
"https://api.pozy.ai/v1/ads/videos",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
json={
"accountId": "696e0b682d0a31188e7a2ba9",
"adAccountId": "666219aad7bab67ace411e4f",
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
201 on success
adAccountIdstringvideoobjectidstringstatusstringOne of
ready.thumbnailUrlstringCan be null.
201 response
{
"adAccountId": "666219aad7bab67ace411e4f",
"video": {
"id": "6bfebd43ddc270f6d2c56fc5",
"status": "ready",
"thumbnailUrl": "https://pozy.ai/media/example-1.jpg"
}
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is read-only, scoped to other profiles, or has this resource group disabled. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in Ad Creatives
POSTRender pre-create ad previewsGETRender previews of an existing adGETDirect video and image URLs for an adGETList TikTok ad identitiesGETCreative libraryPOSTCreate a standalone creativeGETCreative detailsPUTRename a creativeDELDelete a creativeGETAd image libraryPOSTUpload an ad image from base64GETAd video libraryGETGet ad video processing statusDELDelete an ad videoGETList partnership ad contentGETList partnership permissionsPOSTSet partnership permission